Get Organization name and ID
curl --request GET \
--url https://api.chainstack.com/v1/organization/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstack.com/v1/organization/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstack.com/v1/organization/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "RG-123-456",
"name": "My organization"
}Organization
Get organization details from the Chainstack Platform API
Retrieve account, billing, and member information for your Chainstack organization. Send a GET request to /v1/organization/ to fetch the details.
GET
/
v1
/
organization
/
Get Organization name and ID
Authorizations
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'
All API requests must be made over HTTPS.
Last modified on May 4, 2026
Was this page helpful?